Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(452)

Issue 2318373003: Record shutdown type UMA (Closed)

Created:
3 years, 11 months ago by hashimoto
Modified:
3 years, 10 months ago
CC:
chromium-reviews, asvitkine+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Record shutdown type UMA To investigate how frequently unclean shutdown is performed. Start recording a new UMA Shutdown.ShutdownType. Update prefs::kShutdownType when Chrome is performing unclean shutdown with SessionEnding(). BUG=644649 Committed: https://crrev.com/dc347b79180cd2880ee49067abb295a00ab3d7b6 Cr-Commit-Position: refs/heads/master@{#419123}

Patch Set 1 #

Patch Set 2 : Record shutdown type UMA #

Total comments: 4

Patch Set 3 : Address comments #

Total comments: 4

Patch Set 4 : Clear kRestartLastSessionOnShutdown #

Total comments: 2

Patch Set 5 : Fix comment #

Total comments: 5

Patch Set 6 : Add description #

Unified diffs Side-by-side diffs Delta from patch set Stats (+43 lines, -10 lines) Patch
M chrome/browser/browser_shutdown.h View 1 2 3 4 2 chunks +6 lines, -0 lines 0 comments Download
M chrome/browser/browser_shutdown.cc View 1 2 3 3 chunks +18 lines, -10 lines 0 comments Download
M chrome/browser/lifetime/application_lifetime.cc View 1 2 1 chunk +7 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 2 chunks +12 lines, -0 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 48 (32 generated)
hashimoto
sky@, could you review this change?
3 years, 11 months ago (2016-09-09 15:26:08 UTC) #15
sky
https://codereview.chromium.org/2318373003/diff/20001/chrome/browser/browser_shutdown.h File chrome/browser/browser_shutdown.h (right): https://codereview.chromium.org/2318373003/diff/20001/chrome/browser/browser_shutdown.h#newcode38 chrome/browser/browser_shutdown.h:38: SHUTDOWN_TYPE_MAX_VALUE, I'm not a fan of this style. It ...
3 years, 11 months ago (2016-09-09 15:40:56 UTC) #16
hashimoto
PTAL https://codereview.chromium.org/2318373003/diff/20001/chrome/browser/browser_shutdown.h File chrome/browser/browser_shutdown.h (right): https://codereview.chromium.org/2318373003/diff/20001/chrome/browser/browser_shutdown.h#newcode38 chrome/browser/browser_shutdown.h:38: SHUTDOWN_TYPE_MAX_VALUE, On 2016/09/09 15:40:56, sky wrote: > I'm ...
3 years, 11 months ago (2016-09-12 05:10:19 UTC) #21
sky
https://codereview.chromium.org/2318373003/diff/40001/chrome/browser/browser_shutdown.cc File chrome/browser/browser_shutdown.cc (right): https://codereview.chromium.org/2318373003/diff/40001/chrome/browser/browser_shutdown.cc#newcode177 chrome/browser/browser_shutdown.cc:177: if (prefs->HasPrefPath(prefs::kRestartLastSessionOnShutdown)) { Don't we want to clear this ...
3 years, 11 months ago (2016-09-12 16:58:20 UTC) #22
hashimoto
https://codereview.chromium.org/2318373003/diff/40001/chrome/browser/browser_shutdown.cc File chrome/browser/browser_shutdown.cc (right): https://codereview.chromium.org/2318373003/diff/40001/chrome/browser/browser_shutdown.cc#newcode177 chrome/browser/browser_shutdown.cc:177: if (prefs->HasPrefPath(prefs::kRestartLastSessionOnShutdown)) { On 2016/09/12 16:58:20, sky wrote: > ...
3 years, 11 months ago (2016-09-13 01:19:49 UTC) #23
sky
https://codereview.chromium.org/2318373003/diff/40001/chrome/browser/browser_shutdown.cc File chrome/browser/browser_shutdown.cc (right): https://codereview.chromium.org/2318373003/diff/40001/chrome/browser/browser_shutdown.cc#newcode177 chrome/browser/browser_shutdown.cc:177: if (prefs->HasPrefPath(prefs::kRestartLastSessionOnShutdown)) { On 2016/09/13 01:19:49, hashimoto wrote: > ...
3 years, 11 months ago (2016-09-13 02:17:59 UTC) #24
hashimoto
https://codereview.chromium.org/2318373003/diff/40001/chrome/browser/browser_shutdown.cc File chrome/browser/browser_shutdown.cc (right): https://codereview.chromium.org/2318373003/diff/40001/chrome/browser/browser_shutdown.cc#newcode177 chrome/browser/browser_shutdown.cc:177: if (prefs->HasPrefPath(prefs::kRestartLastSessionOnShutdown)) { On 2016/09/13 02:17:59, sky wrote: > ...
3 years, 11 months ago (2016-09-13 03:58:38 UTC) #26
sky
Thanks! LGTM https://codereview.chromium.org/2318373003/diff/80001/chrome/browser/browser_shutdown.h File chrome/browser/browser_shutdown.h (right): https://codereview.chromium.org/2318373003/diff/80001/chrome/browser/browser_shutdown.h#newcode57 chrome/browser/browser_shutdown.h:57: // Records the shutdown related prefs, and ...
3 years, 11 months ago (2016-09-13 13:21:14 UTC) #31
hashimoto
asvitkine@, could you review tools/metrics/histograms/histograms.xml? https://codereview.chromium.org/2318373003/diff/80001/chrome/browser/browser_shutdown.h File chrome/browser/browser_shutdown.h (right): https://codereview.chromium.org/2318373003/diff/80001/chrome/browser/browser_shutdown.h#newcode57 chrome/browser/browser_shutdown.h:57: // Records the shutdown ...
3 years, 11 months ago (2016-09-13 22:18:22 UTC) #35
Alexei Svitkine (slow)
https://codereview.chromium.org/2318373003/diff/100001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2318373003/diff/100001/tools/metrics/histograms/histograms.xml#newcode55511 tools/metrics/histograms/histograms.xml:55511: +<histogram name="Shutdown.ShutdownType" enum="ShutdownType"> This seems to be adding a ...
3 years, 10 months ago (2016-09-14 15:56:12 UTC) #38
hashimoto
https://codereview.chromium.org/2318373003/diff/100001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2318373003/diff/100001/tools/metrics/histograms/histograms.xml#newcode55511 tools/metrics/histograms/histograms.xml:55511: +<histogram name="Shutdown.ShutdownType" enum="ShutdownType"> On 2016/09/14 15:56:11, Alexei Svitkine (very ...
3 years, 10 months ago (2016-09-15 06:38:37 UTC) #39
Alexei Svitkine (slow)
LGTM with a request for a follow-up change below. Thanks! https://codereview.chromium.org/2318373003/diff/100001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2318373003/diff/100001/tools/metrics/histograms/histograms.xml#newcode55511 ...
3 years, 10 months ago (2016-09-15 16:58:56 UTC) #40
hashimoto
On 2016/09/15 16:58:56, Alexei Svitkine (very slow) wrote: > LGTM with a request for a ...
3 years, 10 months ago (2016-09-16 06:30:17 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2318373003/120001
3 years, 10 months ago (2016-09-16 06:30:38 UTC) #44
commit-bot: I haz the power
Committed patchset #6 (id:120001)
3 years, 10 months ago (2016-09-16 07:24:03 UTC) #46
commit-bot: I haz the power
3 years, 10 months ago (2016-09-16 07:25:40 UTC) #48
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/dc347b79180cd2880ee49067abb295a00ab3d7b6
Cr-Commit-Position: refs/heads/master@{#419123}

Powered by Google App Engine
This is Rietveld 408576698